---@type Tinkr
local Tinkr,
---@class Bastion
Bastion = ...

---@class Bastion.Util
local Util = {}


---@enum (key) CompareThisTable
local compareThisTable = {
    [">"] = function(A, B) return A > B end,
    ["<"] = function(A, B) return A < B end,
    [">="] = function(A, B) return A >= B end,
    ["<="] = function(A, B) return A <= B end,
    ["=="] = function(A, B) return A == B end,
    ["min"] = function(A, B) return A < B end,
    ["max"] = function(A, B) return A > B end,
}

---@generic A
---@param operator CompareThisTable
---@param a A
---@param b A
function Util:CompareThis(operator, a, b)
end

Bastion.Util = Util
